Bug 214061 - [drm:r128_cce_idle] *ERROR* r128_cce_idle called without lock held
[drm:r128_cce_idle] *ERROR* r128_cce_idle called without lock held
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-05 04:24 EST by Adam Monsen
Modified: 2015-01-04 17:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:29:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Monsen 2006-11-05 04:24:00 EST
Description of problem:
XXX seconds after starting a new game with the default options, the game window
disappears and the user is sent back to the main menu.

Version-Release number of selected component (if applicable):
crack-attack-1.1.14-8.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Run "crack-attack"
2. Click "Start Game"
3. Press "ENTER" to start playing. Use left and right arrows, spacebar, and
enter key.
  
Actual results:
Game aborts within 30 seconds--game window disappears and main menu reappears.

Expected results:
Game would continue playing until "Game Over" is displayed.

Additional info:
None.
Comment 1 Hans de Goede 2006-11-05 07:16:41 EST
I cannot reproduce this can you try running this under gdb? :
yum -y install crack-attack-debuginfo
gdb `which crack-attack`
run

And then write down any potential interesting output

Also may I ask what kinda vga card you have and which driver you are using?
Comment 2 Adam Monsen 2006-11-05 20:16:40 EST
I installed crack-attack-debuginfo and ran crack-attack under gdb, but no error
messsages nor really any status messages were printed out.

(gdb) r
Starting program: /usr/bin/crack-attack 
[Thread debugging using libthread_db enabled]
[New Thread -1208711472 (LWP 1152)]
 
Program exited normally.
(gdb)


Here's my graphic card (snipped from "lspci -v"):

01:00.0 VGA compatible controller: ATI Technologies Inc Rage 128 PF/PRO AGP 4x
TMDS (prog-if 00 [VGA])
        Subsystem: ATI Technologies Inc Rage Fury Pro/Xpert 2000 Pro
        Flags: bus master, stepping, 66MHz, medium devsel, latency 64, IRQ 161
        Memory at f8000000 (32-bit, prefetchable) [size=64M]
        I/O ports at ec00 [size=256]
        Memory at ff8fc000 (32-bit, non-prefetchable) [size=16K]
        Expansion ROM at ff800000 [disabled] [size=128K]
        Capabilities: [50] AGP version 2.0
        Capabilities: [5c] Power Management version 2


I see that I'm using the "r128" driver in Xorg.conf.

This is interesting... as soon as the game window "crashes" (disappears,
whatever) I see the following message at the end of the kernel message ring buffer:

[drm:r128_cce_idle] *ERROR* r128_cce_idle called without lock held
Comment 3 Hans de Goede 2006-11-06 01:32:46 EST
Ah, that explains you're hitting a kernel bug in the r128 drm code, changing
product and component and reassigning!
Comment 4 Jon Stanley 2007-12-31 16:51:40 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Adam Monsen 2008-01-09 21:02:40 EST
Does not reproduce for me on Fedora 8.

Note You need to log in before you can comment on or make changes to this bug.